RoutesSearch module

Search routes

URLs the Search module answers, their parameters and the variables each view receives.

View cdna-admin screens of this module.

Admin view

GET /cdna-admin/search/add-facets-index-field addFacetsIndexField

Add a new record. Assigns an empty record to the template.

The admin template receives
VariableTypeDescription
$facetsIndexField FacetsIndexField Single (empty) FacetsIndexField record

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /cdna-admin/search/facets-index-field/{id} editFacetsIndexField

Retrieve a single record and display the edit page for the record

Path parameters id matches \d+

The admin template receives
VariableTypeDescription
$facetsIndexField FacetsIndexField Retrieved FacetsIndexField record

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /cdna-admin/search/facets-index-fields manageFacetsIndexFields

Retrieve available records and assign them to the template for editing.

The admin template receives
VariableTypeDescription
$facetsIndexFields Collection<FacetsIndexField> Collection of FacetsIndexFields

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /cdna-admin/search/add-master-index-field addMasterIndexField

Add a new record. Assigns an empty record to the template.

The admin template receives
VariableTypeDescription
$masterIndexField MasterIndexField Single (empty) MasterIndexField record

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /cdna-admin/search/master-index-field/{id} editMasterIndexField

Retrieve a single record and display the edit page for the record

Path parameters id matches \d+

The admin template receives
VariableTypeDescription
$masterIndexField MasterIndexField Retrieved MasterIndexField record

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /cdna-admin/search/master-index-fields manageMasterIndexFields

Retrieve available records and assign them to the template for editing.

The admin template receives
VariableTypeDescription
$masterIndexFields Collection<MasterIndexField> Collection of MasterIndexFields

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /cdna-admin/search/add-view/{index} addView

Add a new record. Assigns an empty record to the template.

Path parameters index matches [a-z]+

The admin template receives
VariableTypeDescription
$view View Single (empty) View record

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /cdna-admin/search/view/{id} editView

Retrieve a single record and display the edit page for the record

Path parameters id matches \d+

The admin template receives
VariableTypeDescription
$view View Retrieved View record

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /cdna-admin/search/views manageViews

Retrieve available records and assign them to the template for editing.

The admin template receives
VariableTypeDescription
$views Collection<View> Collection of Views

Common variables such as $_url, $_request and $_menu are available too. Global template variables

Only GET routes list their variables.